Bug 2274319 - Review Request: ffms2 - Video source library for easy frame accurate access
Summary: Review Request: ffms2 - Video source library for easy frame accurate access
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattia Verga
QA Contact: Fedora Extras Quality Assurance
URL: https://github.com/FFMS/ffms2
Whiteboard:
Depends On:
Blocks: MultimediaSIG
TreeView+ depends on / blocked
 
Reported: 2024-04-10 10:06 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2024-06-30 07:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:
mattia.verga: fedora-review?


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2024-04-10 10:06:50 UTC
Spec URL: https://rathann.fedorapeople.org/review/ffms2/ffms2.spec
SRPM URL: https://rathann.fedorapeople.org/review/ffms2/ffms2-5.0~rc3-1.fc41.src.rpm
Description:
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around FFmpeg. It gives you an easy, convenient way to say "open and
decompress this media file for me, I don't care how you do it" and get frame-
and sample-accurate access (usually), without having to bother with the
sometimes less than straightforward and less than perfectly documented FFmpeg
API.

Fedora Account System Username: rathann

Comment 1 Artur Frenszek-Iwicki 2024-05-03 16:24:55 UTC
> # run ffms2-samples.sh to fetch samples from upstream
> Source1:        ffms2-samples.tar.gz
Shouldn't this be included as one of the Sources?

Comment 2 Dominik 'Rathann' Mierzejewski 2024-06-09 14:47:21 UTC
Spec URL: https://rathann.fedorapeople.org/review/ffms2/ffms2.spec
SRPM URL: https://rathann.fedorapeople.org/review/ffms2/ffms2-5.0-1.fc41.src.rpm

* Sun Jun 09 2024 Dominik Mierzejewski <dominik> - 5.0-1
- update to 5.0

Comment 3 Dominik 'Rathann' Mierzejewski 2024-06-09 16:47:41 UTC
(In reply to Artur Frenszek-Iwicki from comment #1)
> > # run ffms2-samples.sh to fetch samples from upstream
> > Source1:        ffms2-samples.tar.gz
> Shouldn't this be included as one of the Sources?

It should. Sorry for missing it earlier. It is included now.

Comment 4 Fedora Review Service 2024-06-10 06:37:25 UTC
Copr build:
https://copr.fedorainfracloud.org/coprs/build/7583335
(succeeded)

Review template:
https://download.copr.fedorainfracloud.org/results/@fedora-review/fedora-review-2274319-ffms2/fedora-rawhide-x86_64/07583335-ffms2/fedora-review/review.txt

Please take a look if any issues were found.


---
This comment was created by the fedora-review-service
https://github.com/FrostyX/fedora-review-service

If you want to trigger a new Copr build, add a comment containing new
Spec and SRPM URLs or [fedora-review-service-build] string.

Comment 5 Mattia Verga 2024-06-10 16:57:21 UTC
BTW using '--enable-shared=yes --enable-static=no' instead of '--disable-static' truly avoid building the static library which is then removed in %install.

Comment 6 Dominik 'Rathann' Mierzejewski 2024-06-11 22:15:03 UTC
(In reply to Mattia Verga from comment #5)
> BTW using '--enable-shared=yes --enable-static=no' instead of
> '--disable-static' truly avoid building the static library which is then
> removed in %install.

Only the .la file is there (and getting removed), not the shared library.

Comment 7 Mattia Verga 2024-06-14 06:54:16 UTC
@Arthur do you want to do the review yourself or should I?

Comment 8 Artur Frenszek-Iwicki 2024-06-14 11:24:20 UTC
It's on my to-do list, but if you want, feel free to take over.

Comment 9 Mattia Verga 2024-06-30 07:03:25 UTC
I have some spare time today, so I'm taking over the review.

Comment 10 Mattia Verga 2024-06-30 07:41:06 UTC
Couple of things to check:

ffms2-5.0/src/index/vsutf16.h is licensed LGPL-2.1-or-later

ffms2.x86_64: E: unused-direct-shlib-dependency /usr/lib64/libffms2.so.5.0.0 /lib64/libvapoursynth.so.68
https://docs.fedoraproject.org/en-US/package-maintainers/CommonRpmlintIssues/#unused_direct_shlib_dependency


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "*No copyright* GNU General Public
     License and/or MIT License", "FSF All Permissive License", "MIT
     License", "GNU Lesser General Public License v2.1 or later". 45 files
     have unknown license. Detailed output of licensecheck in
     /review/2274319-ffms2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 135809 bytes in 5 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: The License field must be a valid SPDX expression.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ffms2-5.0-1.fc41.x86_64.rpm
          ffms2-devel-5.0-1.fc41.x86_64.rpm
          ffms2-debuginfo-5.0-1.fc41.x86_64.rpm
          ffms2-debugsource-5.0-1.fc41.x86_64.rpm
          ffms2-5.0-1.fc41.src.rpm
=================================== rpmlint session starts ==================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmptpej2gwk')]
checks: 32, packages: 5

ffms2.x86_64: W: no-manual-page-for-binary ffmsindex
ffms2.spec: W: invalid-url Source1: ffms2-samples.tar.gz
 5 packages and 0 specfiles checked; 0 errors, 2 warnings, 35 filtered, 0 badness; has taken 0.5 s 




Rpmlint (debuginfo)
-------------------
Checking: ffms2-debuginfo-5.0-1.fc41.x86_64.rpm
=================================== rpmlint session starts ==================================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.12/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
rpmlintrc: [PosixPath('/tmp/tmpwjhwgi3a')]
checks: 32, packages: 1

 1 packages and 0 specfiles checked; 0 errors, 0 warnings, 12 filtered, 0 badness; has taken 0.2 s 





Rpmlint (installed packages)
----------------------------
============================ rpmlint session starts ============================
rpmlint: 2.5.0
configuration:
    /usr/lib/python3.13/site-packages/rpmlint/configdefaults.toml
    /etc/xdg/rpmlint/fedora-legacy-licenses.toml
    /etc/xdg/rpmlint/fedora-spdx-licenses.toml
    /etc/xdg/rpmlint/fedora.toml
    /etc/xdg/rpmlint/scoring.toml
    /etc/xdg/rpmlint/users-groups.toml
    /etc/xdg/rpmlint/warn-on-functions.toml
checks: 32, packages: 4

ffms2.x86_64: E: unused-direct-shlib-dependency /usr/lib64/libffms2.so.5.0.0 /lib64/libvapoursynth.so.68
ffms2.x86_64: W: no-manual-page-for-binary ffmsindex
 4 packages and 0 specfiles checked; 1 errors, 1 warnings, 33 filtered, 1 badness; has taken 0.8 s 



Source checksums
----------------
https://github.com/FFMS/ffms2/archive/5.0/ffms2-5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 7770af0bbc0063f9580a6a5c8e7c51f1788f171d7da0b352e48a1e60943a8c3c
  CHECKSUM(SHA256) upstream package : 7770af0bbc0063f9580a6a5c8e7c51f1788f171d7da0b352e48a1e60943a8c3c


Requires
--------
ffms2 (rpmlib, GLIBC filtered):
    libavcodec.so.60()(64bit)
    libavcodec.so.60(LIBAVCODEC_60)(64bit)
    libavformat.so.60()(64bit)
    libavformat.so.60(LIBAVFORMAT_60)(64bit)
    libavutil.so.58()(64bit)
    libavutil.so.58(LIBAVUTIL_58)(64bit)
    libc.so.6()(64bit)
    libffms2.so.5()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgcc_s.so.1(GCC_3.3.1)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libswresample.so.4()(64bit)
    libswresample.so.4(LIBSWRESAMPLE_4)(64bit)
    libswscale.so.7()(64bit)
    libswscale.so.7(LIBSWSCALE_7)(64bit)
    libvapoursynth.so.68()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

ffms2-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    ffms2(x86-64)
    libffms2.so.5()(64bit)
    pkgconfig(libavcodec)
    pkgconfig(libavformat)
    pkgconfig(libavutil)
    pkgconfig(libswresample)
    pkgconfig(libswscale)

ffms2-debuginfo (rpmlib, GLIBC filtered):

ffms2-debugsource (rpmlib, GLIBC filtered):



Provides
--------
ffms2:
    ffms2
    ffms2(x86-64)
    libffms2.so.5()(64bit)

ffms2-devel:
    ffms2-devel
    ffms2-devel(x86-64)
    pkgconfig(ffms2)

ffms2-debuginfo:
    debuginfo(build-id)
    ffms2-debuginfo
    ffms2-debuginfo(x86-64)
    libffms2.so.5.0.0-5.0-1.fc41.x86_64.debug()(64bit)

ffms2-debugsource:
    ffms2-debugsource
    ffms2-debugsource(x86-64)



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: ffms2-5.0-build/ffms2-5.0/configure.ac:61


Generated by fedora-review 0.10.0 (e79b66b) last change: 2023-07-24
Command line :/usr/bin/fedora-review -b 2274319
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: SugarActivity, fonts, Python, Haskell, PHP, Ocaml, R, Java, Perl
Disabled flags: EXARCH, EPEL6, EPEL7, DISTTAG, BATCH


Note You need to log in before you can comment on or make changes to this bug.